aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
l---------.vim/bundle-active/vim-pathogen1
-rw-r--r--.vim/vimrc6
-rw-r--r--bash/vim-plugins.bash21
3 files changed, 23 insertions, 5 deletions
diff --git a/.vim/bundle-active/vim-pathogen b/.vim/bundle-active/vim-pathogen
new file mode 120000
index 0000000..302f26a
--- /dev/null
+++ b/.vim/bundle-active/vim-pathogen
@@ -0,0 +1 @@
+../bundle/vim-pathogen/ \ No newline at end of file
diff --git a/.vim/vimrc b/.vim/vimrc
index 63b3b30..06c746d 100644
--- a/.vim/vimrc
+++ b/.vim/vimrc
@@ -2,17 +2,13 @@
" VARIABLES
" ===========
runtime bundle/vim-pathogen/autoload/pathogen.vim
-execute pathogen#infect()
+execute pathogen#infect('bundle-active/{}')
set nocompatible
"Disable bell
set vb
set t_vb=
-"Search in all of the project tree
-set path+=**
-set wildmenu
-
set ttimeoutlen=10
let g:airline#extensions#tabline#enabled = 1
let g:airline#extensions#branch#enabled = 1
diff --git a/bash/vim-plugins.bash b/bash/vim-plugins.bash
new file mode 100644
index 0000000..f987531
--- /dev/null
+++ b/bash/vim-plugins.bash
@@ -0,0 +1,21 @@
+function vim-add() {
+ source ~/.files
+
+ local NAME=$(basename "$1")
+
+ [ -d "$DOTFILEBASE/.vim/bundle/$NAME" ] || return 1 # no such plugin
+
+ local OLD_PWD=$(pwd)
+ cd "$DOTFILEBASE/.vim/bundle-active/"
+ [ -L $NAME ] && cd "$OLD_PWD" && return 2 # Already exists
+
+ ln -s "../bundle/$NAME"
+
+ cd "$OLD_PWD"
+}
+
+function vim-remove {
+ source ~/.files
+
+ local NAME=$(basename "$1")
+}